Open SCAP Library

Public Member Functions | Data Fields
cve_product Struct Reference
CVE

Structure holding CVE product data. More...

`#include <cve_priv.h>`

## Public Member Functions
struct cve_product * | cve_product_new (void)
| New CVE product. More...
struct cve_product * | cve_product_clone (struct cve_product *old_product)
| Clone CVE product. More...
void | cve_product_free (struct cve_product *product)
| Free CVE product. More...
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | cve_product_set_value (struct cve_product *product, const char *new_value)
| Set value of CVE product. More...

## Data Fields
char * | value

## Detailed Description

Structure holding CVE product data.

The documentation for this struct was generated from the following files:

- cve_priv.c
- cve_nvd.h